Package org.tmatesoft.svn.core.wc2

# Class SvnGetInfo

java.lang.Object
org.tmatesoft.svn.core.wc2.SvnOperation<T>
org.tmatesoft.svn.core.wc2.SvnReceivingOperation<SvnInfo>
org.tmatesoft.svn.core.wc2.SvnGetInfo

All Implemented Interfaces:
  `ISvnObjectReceiver<SvnInfo>`, `ISvnOperationOptionsProvider`

public class SvnGetInfo extends SvnReceivingOperation<SvnInfo>
Represents info command. `SvnOperation.run()` method collects information about item(s) in a repository or working copy, and returns it as `SvnInfo` objects.

If `revision` and `target`'s `pegRevision` are either `null` or `local`, or `invalid`, then information will be pulled solely from the working copy; no network connections will be made.

Otherwise, information will be pulled from a repository. The actual node revision selected is determined by the `target` as it exists in its `pegRevision`. If `pegRevision` is `SVNRevision.UNDEFINED`, then it defaults to `SVNRevision.HEAD` if `target` is URL, and it defaults to `SVNRevision.WORKING` if if `target` working copy path.

If `target` is a file, collects its info. If it is a directory, then descends according to `depth`. If `depth` is`SVNDepth.EMPTY`, fetches info for `target` and nothing else; if `SVNDepth.FILES`, for `target` and its immediate file children; if `SVNDepth.IMMEDIATES`, for the preceding plus on each immediate subdirectory; if `SVNDepth.INFINITY`, then recurses fully, for `target` and everything beneath it.

`changeLists` is a collection of `String` changelist names, used as a restrictive filter on items whose info is reported; that is, doesn't report info about any item unless it's a member of one of those changelists. If `changeLists` is empty (or `null`), no changelist filtering occurs.

Version:
  1.7
Author:
  TMate Software Ltd.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`SvnGetInfo(SvnOperationFactory factory)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`ensureArgumentsAreValid()`
`void`
`initDefaults()`
`boolean`
`isChangesWorkingCopy()`
Gets whether the operation changes working copy
`boolean`
`isFetchActualOnly()`
Gets whether to fetch actual nodes, those are unversioned nodes that describe tree conflicts.
`boolean`
`isFetchExcluded()`
Gets whether to fetch excluded items.
`boolean`
`isIncludeExternals()`
`void`
`setFetchActualOnly(boolean fetchActualOnly)`
Sets whether to fetch actual nodes, those are unversioned nodes that describe tree conflicts.
`void`
`setFetchExcluded(boolean fetchExcluded)`
Sets whether to fetch excluded items.
`void`
`setIncludeExternals(boolean includeExternals)`

### Methods inherited from class org.tmatesoft.svn.core.wc2.SvnReceivingOperation

`first, getReceiver, last, receive, run, setReceiver`

### Methods inherited from class org.tmatesoft.svn.core.wc2.SvnOperation

`addTarget, cancel, ensureEnoughTargets, ensureHomohenousTargets, getApplicableChangelists, getAuthenticationManager, getCanceller, getDepth, getEventHandler, getFirstTarget, getMaximumTargetsCount, getMinimumTargetsCount, getOperationalWorkingCopy, getOperationFactory, getOptions, getRepositoryPool, getRevision, getSqliteJournalMode, getTargets, hasFileTargets, hasLocalTargets, hasRemoteTargets, isCancelled, isSleepForTimestamp, isUseParentWcFormat, needsHomohenousTargets, run, setApplicalbeChangelists, setDepth, setRevision, setSingleTarget, setSleepForTimestamp, setSqliteJournalMode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SvnGetInfo

protected SvnGetInfo(SvnOperationFactory factory)

## Method Details

### initDefaults

public void initDefaults()

Overrides:
  `initDefaults` in class `SvnReceivingOperation<SvnInfo>`

### setFetchExcluded

public void setFetchExcluded(boolean fetchExcluded)
Sets whether to fetch excluded items.

Parameters:
  `fetchExcluded` - `true` if excluded items should be fetched, otherwise `false`

### setFetchActualOnly

public void setFetchActualOnly(boolean fetchActualOnly)
Sets whether to fetch actual nodes, those are unversioned nodes that describe tree conflicts.

Parameters:
  `fetchActualOnly` - `true` if actual nodes should be , otherwise `false`

### isFetchExcluded

public boolean isFetchExcluded()
Gets whether to fetch excluded items.

Returns:
  `true` if excluded items should be fetched, otherwise `false`

### isFetchActualOnly

public boolean isFetchActualOnly()
Gets whether to fetch actual nodes, those are unversioned nodes that describe tree conflicts.

Returns:
  `true` if actual nodes should be , otherwise `false`

### isIncludeExternals

public boolean isIncludeExternals()

### setIncludeExternals

public void setIncludeExternals(boolean includeExternals)

### ensureArgumentsAreValid

protected void ensureArgumentsAreValid() throws SVNException

Overrides:
  `ensureArgumentsAreValid` in class `SvnOperation<SvnInfo>`
Throws:
  `SVNException`

### isChangesWorkingCopy

public boolean isChangesWorkingCopy()
Gets whether the operation changes working copy

Overrides:
  `isChangesWorkingCopy` in class `SvnOperation<SvnInfo>`
Returns:
  `true` if the operation changes the working copy, otherwise `false`